*:where(:not(html, iframe, canvas, img, svg, video, audio):not(svg *, symbol *)) {
	all: unset;
	display: revert;
}

*,
*::before,
*::after {
	box-sizing: border-box;
}

html {
	font-size: calc(16px + (26 - 16) * ((100vw - 300px) / (1600 - 300)));
}

body {
	font-family: "Annie Use Your Telescope", cursive;
	background-color: #001233;
	color: #fff;
	text-align: center;
	margin: 0;
	padding: 0;
}

header {
	background-color: #f29a35;
	height: 64px;
	line-height: 64px;
	padding: 0;
	margin: 0;
	box-shadow: 0 2px 2px #000;
}

h1 {
	font-family: "Monoton", cursive;
	font-size: 1.25rem;
}

main {
	min-height: calc(100vh - 128px - 8rem);
	max-width: 1200px;
	margin: 4rem auto;
}

.start-screen h2 {
	margin-bottom: 3rem;
	font-size: 1.5rem;
}

.start-screen button {
	margin-left: -60px;
}

input {
	width: 15rem;
	background: #d9d9d9;
	color: #000;
	border: 0;
	outline: 0;
	padding: 1rem 0.5rem;
	font-size: 1.2rem;
	text-align: left;
	border-radius: 10px;
}

input:focus {
	border: 3px solid #f29a35;
}

button {
	font-family: "Annie Use Your Telescope", cursive;
	padding: 0.5rem;
	cursor: pointer;
	position: relative;
	z-index: 0;
	border-radius: 10px;
}

button:before {
	content: "";
	background: linear-gradient(45deg, #fffb00, #48ff00, #00ffd5);
	position: absolute;
	top: -2px;
	left: -2px;
	background-size: 200%;
	z-index: -1;
	filter: blur(3px);
	-webkit-filter: blur(5px);
	width: calc(100% + 3px);
	height: calc(100% + 3px);
	animation: glowing-button 10s linear infinite;
	transition: opacity 0.4s ease-in-out;
	border-radius: 10px;
}

button:after {
	z-index: -1;
	content: "";
	position: absolute;
	width: 100%;
	height: 100%;
	background: #33415c;
	left: 0;
	top: 0;
	border-radius: 10px;
}

button:focus {
	border: 3px solid #f29a35;
}

.score-container {
	display: none;
	justify-content: space-around;
	margin: 4rem 2rem;
}

.score {
	display: flex;
	align-items: center;
	gap: 10px;
	font-family: "Fredericka the Great", cursive;
}

.player-score,
.computer-score {
	background-color: #fff;
	color: #001233;
	width: 2rem;
	height: 2rem;
	border-radius: 50%;
}

.player-score p,
.computer-score p {
	line-height: 2rem;
	font-size: 1.5rem;
}

.choices-screen {
	display: none;
	flex-direction: column;
	justify-content: center;
	font-size: 1.5rem;
}

.choices {
	display: flex;
	justify-content: center;
	padding: 1rem;
}

.rock,
.paper,
.scissors {
	display: flex;
	align-items: center;
	gap: 0.25rem;
	font-size: 1.5rem;
	margin: 0.5rem;
}

.shaking-screen {
	display: none;
	justify-content: space-between;
}

.shaking-screen .player-hand {
	animation: 1s 3 player-shaking;
}

.shaking-screen .computer-hand {
	animation: 1s 3 computer-shaking;
}

.player-hand,
.computer-hand {
	transform: rotate(90deg);
	margin: 1rem;
	padding: 1rem;
	font-size: 3rem;
}

.computer-hand {
	transform: rotate(-90deg) scaleX(-1);
}

.result-screen {
	display: none;
	margin: auto;
}

.round-result {
	display: flex;
	justify-content: space-between;
	align-items: center;
	font-family: "Fredericka the Great", cursive;
}

.game-over-screen {
	display: none;
	font-family: "Fredericka the Great", cursive;
	margin: 2rem;
}

.game-over-screen h2 {
	font-size: 2rem;
	margin: 2rem;
}

.game-over-screen p {
	margin: 2rem;
}

footer {
	background-color: #f29a35;
	height: 64px;
	font-size: 1rem;
	line-height: 64px;
}

@keyframes glowing-button {
	0% {
		background-position: 0 0;
	}

	50% {
		background-position: 200% 0;
	}

	100% {
		background-position: 0 0;
	}
}

@keyframes player-shaking {
	0% {
		transform: rotate(90deg);
	}

	50% {
		transform: rotate(60deg);
	}

	100% {
		transform: rotate(90deg);
	}
}

@keyframes computer-shaking {
	0% {
		transform: rotate(-90deg) scaleX(-1);
	}

	50% {
		transform: rotate(-60deg) scaleX(-1);
	}

	100% {
		transform: rotate(-90deg) scaleX(-1);
	}
}
